For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet Enabled Payment Methods
      • PUTEnable Payment Methods
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment methods

Enable Payment Methods

PUT
/entities/:entity_id/payment_methods
PUT
/v1/entities/:entity_id/payment_methods
$curl -X PUT https://api.sandbox.monite.com/v1/entities/entity_id/payment_methods \
> -H "x-monite-version: 2024-01-31" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": [
3 {
4 "direction": "receive",
5 "name": "SEPA Payments",
6 "status": "active",
7 "type": "sepa_credit"
8 }
9 ]
10}
Set which payment methods should be enabled.
Was this page helpful?
Previous

Get payment records

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entity_idstringRequired

Headers

x-monite-versionstringRequired

Request

This endpoint expects an object.
payment_methods_receivelist of enumsOptional
Enable payment methods to receive money.
payment_methods_sendlist of enumsOptional
Enable payment methods to send money.
payment_methodslist of enumsOptionalDeprecated

Deprecated. Use payment_methods_receive instead.

Response

Successful Response
datalist of objects

Errors

422
Put Entities ID Payment Methods Request Unprocessable Entity Error
500
Put Entities ID Payment Methods Request Internal Server Error